Name:           x11vnc
Version:        0.9.16
Release:    1%{?dist}
Summary:        VNC server for the current X11 session
Summary(ru):    VNC-сервер для текущей сессии X11
License:        GPL-2.0-or-later AND GPL-2.0-or-later WITH x11vnc-openssl-exception
URL:            https://github.com/LibVNC/x11vnc
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         x11vnc-0.9.16-Respect-a-system-crypto-policy.patch
Patch1:         x11vnc-0.9.16-Convert-a-changelog-to-UTF-8.patch
Patch2:         x11vnc-0.9.16-Fix-build-with-fno-common.patch
Patch3:         x11vnc-0.9.16-src-cursor-fix-xfc-NULL-pointer-dereference.patch
Patch4:         x11vnc-0.9.16-scan-limit-access-to-shared-memory-segments-to-curre.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bash
BuildRequires:  gcc
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXtst-devel
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  pkgconf-pkg-config
BuildRequires:  pkgconfig(avahi-client) >= 0.6.4
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(inputproto) >= 1.9.99.9
BuildRequires:  pkgconfig(libvncclient) >= 0.9.8
BuildRequires:  pkgconfig(libvncserver) >= 0.9.8
BuildRequires:  pkgconfig(xi) >= 1.2.99
BuildRequires:  sed
BuildRequires:  desktop-file-utils
Requires:       tk
Requires:       Xvfb

%description
What WinVNC is to Windows x11vnc is to X Window System, i.e. a server which
serves the current X Window System desktop via RFB (VNC) protocol to the user.

Based on the ideas of x0rfbserver and on LibVNCServer it has evolved into
a versatile and productive while still easy to use program.

%description -l ru
Это подобно VNC-серверу под Windows - VNC-сервер, который предоставляет доступ
к текущей X-сессии пользователя по протоколу (VNC).  Таким образом, Вы всегда
можете вернуться к работе удаленно, даже если сессия была стандартно запущена
локально. Более того, доступ к Логин- менеджеру также может быть осуществлен
(GDM, KDM, XDM и т.п.)

Базируется на идее x0rfbserver и LibVNCServer x11vnc эволюционировал в гибкий
и производительный инструмент, который, однако, остаётся прост
в использовании.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -fi
%configure \
    --with-avahi \
    --with-colormultipointer \
    --with-crypto \
    --with-dpms \
    --with-fbdev \
    --without-fbpm \
    --without-macosx-native \
    --with-ssl \
    --with-uinput \
    --with-x \
    --without-xcomposite \
    --with-xdamage \
    --with-xfixes \
    --with-xinerama \
    --with-xkeyboard \
    --with-xrandr \
    --with-xrecord \
    --without-xtrap
%make_build

%install
%make_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/x11vnc.desktop

%files
%license COPYING
%doc ChangeLog NEWS README
%{_bindir}/x11vnc
%{_bindir}/Xdummy
%{_datadir}/applications/x11vnc.desktop
%{_mandir}/man1/x11vnc.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.16-1
- initial build
